ggiPanic(3)

NAME
ggiPanic : Exit LibGGI programs for fatal errors

SYNOPSIS
#include <ggi/ggi.h>
void ggiPanic(const char *format, ...);

DESCRIPTION
ggiPanic shuts down the application, closing all visuals, with printf(3)-style reporting to stderr, taking a format string and any additional variables. ggiPanic should only be used by usermode programs when something is really screwed, and they do not know what to do. The same applies for libraries, but might be used in rare situations such as corruption of critical data structures.

RETURN VALUE
Never returns.

EXAMPLES
An unrecoverable error:
if (my_important_struct->magic != MAGIC) {
      ggiPanic("Fatal error: structure is corrupted\n");
}